## widelands 17rc2-maemo6

=== debian/changelog ===
widelands (17rc2-maemo6) fremantle; urgency=low

  * disable i386 build

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 13 Apr 2012 02:29:52 -0400

widelands (17rc2-maemo5) fremantle; urgency=low

  *  typo

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 12 Apr 2012 12:55:12 -0400

widelands (17rc2-maemo4) fremantle; urgency=low

  * fixed control file 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 12 Apr 2012 12:45:26 -0400

widelands (17rc2-maemo3) fremantle; urgency=low

  * fixed rules 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 12 Apr 2012 12:31:15 -0400

widelands (17rc2-2) fremantle; urgency=low

  * fixed rules

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 12 Apr 2012 12:14:46 -0400

widelands (17rc2-1) fremantle; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue, 10 Apr 2012 08:40:51 -0400

widelands (17rc1-1) fremantle; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Mon,  9 Apr 2012 11:45:30 -0400

widelands (15-3) fremantle; urgency=low

  * Use drag treshold to not register taps as drags

 -- Tomasz Sterna <tomek@xiaoka.com>  Thu, 13 May 2010 01:28:20 +0200

widelands (15-2) fremantle; urgency=low

  * Tap-dragging to move the map
  * Use H for home position key
  * Use Fn+UP/DOWN in place of PgUP/DOWN
  * Do not draw mouse cursor
  * double-click closes the windows
  * single-click shows icongrid tooltip
  * Packaging fixed
  * Updated in-game documentation
  * Fixed locale and sound issues

 -- Tomasz Sterna <tomek@xiaoka.com>  Wed, 12 May 2010 22:38:03 +0200

widelands (15-1) fremantle; urgency=low

  * Initial release.
  * Added hildonized Debian packaging.
  * Fixed compilation in Maemo 5 SDK
  * Use fullscreen mode by default
  * Use 480px window height
  * Added required Maemo files

 -- Tomasz Sterna <tomek@xiaoka.com>  Tue, 11 May 2010 11:36:32 +0200

=== debian/control ===
Source: widelands
Section: user/games
Priority: extra
Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
Build-Depends: debhelper (>= 5), python2.5, cmake, gettext,
 libboost1.42-dev, liblua5.1-0-dev, libggzmod-dev,
 libpng12-dev, libjpeg62-dev, zlib1g-dev, libboost-signals1.42-dev,
 libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-net1.2-dev,
 libsdl-gfx1.2-dev, libsdl-mixeroggwav1.2-dev,quilt, libglew1.5-dev
Standards-Version: 3.7.2

Package: widelands
Architecture: armel
Depends: widelands-data (= ${source:Version}), ${shlibs:Depends}, libvorbisidec1
Description: Settlers II alike fantasy real-time strategy game
 Widelands is a strategy game aiming for gameplay similar to Settlers II by
 BlueByte.
 .
 In this game, you start out on a small piece of land with nothing more than
 a few of useful resources. Using those, you can build yourself an empire
 with many thousands of inhabitants. On your way towards this goal, you will
 have to build up an economic infrastructure, explore the lands around you
 and face enemies who are trying to rule the world just like you do.
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de
XB-Maemo-Display-Name: Widelands
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAB3RJTUUH1QEK
 AiAhBpMOegAAAAlwSFlzAABOIAAATiABFn2Z3gAAAARnQU1BAACxjwv8YQUA
 AA9TSURBVHja7Vl7cFzVef/Ofe37oV1ptZJtWTJ2iZ/IIYCN48RM7Cl2a4eG
 OIWaYB4Fhpk+SDu0DaFNSknS5kGezAQoTKYNDW0cXoZgEzARGJBt+YVt2Ray
 ZD1WK2lX+77vx+k5O+fO3NkxEph4+k+v5jd3vXvud7/f9/2+7zwM/3/9H1/8
 hx34nT2PrE8sbz645vNrtMXhyw739/fjS+HQw7u/vbXtyva/3Pilz73f+2Jv
 Ya7xCOa+0Pbt2zlnOeoLpUPdhckCBKTAW/NTbXf84M9/cA4Afh9E0JP7n2zr
 6d3/s1KtuFUKSmCZdjYhxK576u+fGpjtHdyHIMgvunHx9aqtdpuGCZzAgQHG
 +sHMUN/OH+68kdr4uM5/fdfXr39+z4vHLJ+1NdwcAcuywHbstopd273zGztb
 6TsuhgBiv4tnTw/cEU/HoVquQiE7A6ZmAhK42HRh5r+3P3zTzo9Bgrvvyb+9
 /c39b++OpKMtlWIZClMFQsCuv101tSUlXLmLSR1dDAHh5vtvbq/K1T+ikZfL
 NWjpSAFWnKfNkvk9DBgrlvzjm79zy23MFvoozhPw45NjX0zNTx2sjJW/q0yp
 P+VFHpumWc+CaRhgYuuuTTs3tX4QCX6OAvct37LybkfCm3RNB7lUAz/n7335
 X3c/u3Bxp4FDeHM4EZJK5fK2FRtXXrbqMytf6u/pd1wDcwWH2u/fd2rvqVdP
 vD7w9tnp4UNDpaA/MBxdEF3jOBjRoFm2FfM1BRMDPWdeAQCnsR74WaIjbLhh
 Q7Pq0x9LLUpFcpkcxFri8O5Tb/+6c1lXLLQodF96STpYypcAcYA0XV8FmJsa
 eOts34eMvkgQJEgQpAnmUUwNTvp9om8w1B7q5iUBDBI4zOMrVq5dfvjs22cH
 6cNeEkJjZPZO7g2+uOflDdVKjSvPlG5x/HZbYboAjuNArVqDpdtW/KkQ5NOp
 rlYo5AqgVBUwFB3mL5lfGeo5388cMwnwXM2BjfUR+Nldqmfl9X6r+YqWcjgZ
 iamyCpqqIQjAvwDAbwk0oJeXwG2P3vHQ2Nj4nYZuVP7poYfm+cJShH4fiobA
 5/dBLVcCTuTAF/ZBaF44bag6ZM9noZKvQDQRhY4lHcOHfn7gqyMnRs4zZ1iq
 ZyWBGSwChaDMSIjYcURsY9UwjBhGGJSKDIGQn2O23eA4LgEuNzj1GB/m1seT
 8Q22bYOpm0DIQJl0Ba7CAS/wtK3B5HAWOI6DQCQIoiTSqOPpk9O/ef6Hz/ZY
 pmUFg8GEoijq//zsW+EiOj99zz2PW40kWPTxlVdeSbNqHz16tMLG6AQqgUEA
 1UzlEPbBVo6r1wHYGNPnwmyc7TXmY/B3dXWFKmol0rSwqSvSGbuKRPvLQkjo
 IM5BcaIAC5d1mpWR8jv5odxUbaom58/lDK2q0ZfnCIZ+9eBfPVAqFqeq1era
 aDBYxAj1IoGf5nle5TmekhZJrfA8cMtEHnVLHMd/d29vZ+/x49ShAEGcoJ1g
 kRSQFn7yzk/dLEal+cVsEZKpxOmef3tjOwBkKT+WOVzvBIxZdHh4OEI/z0zO
 AByAc8tuWP5Wy8rWHbZlQTQVhWO/PLJr4ngGWBp59qzCIoIHhkf3tESCybZ4
 9JqQ398c9Pv+WDNMQAiBQNwukRryIYBQIDCYnSndr9hOlDhfZIHUCAxmN2yo
 RiJ3fPq19LVtt/EiB4JPnE9VTSC5LdslIDD2MYImgjhDwtJsZFkmOIDB0AwI
 tUXicLyuVYeRUJl28wSVrz39/DPkXvrmLTfuaw/qj8uSyBmmVXfewQ6MTOXh
 mu6VZ/7xVy9/offE2RlmQ2B3nQAxe0VqR6tpNYMEgKgTHOS4SqHj0QdNZMjT
 IQTHsOkFmPxpigotK5rXIYSoZunLJwhGCIYJxthLMUH0a7/49ZmqYb2AHQwC
 h4DamC4UYXlXB/7Wrlf+mThPHWmmY5lTHAuK4SnoEjawQgoZMP3Jxjm3ZhsJ
 GAQycyBPkGMoYUBanT126rCQHeUlPkv1TnCW4X2CcTreJUDQ/saZoUM1hZjF
 GDjAUJUV0DH0v/HeaSq3NpZtVxLufGQzKdXq9nRcpjMy4hFtKrLH+UYC9QcK
 BJPUGYZJjgelPqVTGVEhIQf8MT8leo45PsiiP01QobaYzfBbZ4aAyAeH/L76
 HBKURDgxPDrIIh/0OI09cDwBLbeua9uYbE+CXFEAUJ0ccuGdByxX04y9yiIR
 sE27bJoGLaC6W1SPvqTPqU3Xpli2ZPYcYj2aZ1E18qUywoB0jnzv2Db4BAHG
 MnkaKPBEWfa0RceTBWPpVUs5GcmfxWWAVEcLzuwffwUaL4/27AYCMoVds8oW
 eXm9DhD5QVUhtii+kOlUZneNwdXuDMumrGiqTGuA6hiokhGYzPEiQ5VAbZi5
 HYrkVamrhYDAFXNF2kBq598ZHnS7HYOniFn6GCwX+YF8wTJMw8Y2OAS6okEo
 FV7leZHtuet1Ut4uYjujiqoSAjogjIHMcZpboAQVRtpsWKRxFLnq9K3R1hhU
 cmXgBJ5lhqGBgPfCHocsuSLrzoyzR1XUeiu1HIsuqSc8rayRvEGguvIoqXrR
 J4ogcjwYug6XpRJN7DeFEfY6711gSrqp25qmQXIBqYGR6gFm25ydALu8JLL7
 MsdM2ZiiRUySARBH14eT4XBjO2vIoB6JRIxUQFoblARwbAs0QmBJc3y9IAiu
 I1aDHBCzKaxYv6LFQc4nqPRs3YbiSHHAI1XLJX1BAg3dQNdlXVP6as+RboR9
 YT8ohtKavK7lzsae3JjBtZ9cGvI5VmAqXwCbEAhIIvjAab/288u3JdoT3CzL
 bCmyKrpV9ItS5tQ4NLU2KaX+4qin3szZCGAGr6ZrpXMlzZm2f0d6cV1KsiDf
 tfzLK7fOFoDmVck1lmkC7UDYdoDKAWMM7+dH7vdtCLzQfXt314WW2Gs2rmka
 Gx2/RwyLkOpshcy+zC9N1XQbhjcDMFsGLDa4ygqyUj5UPGmTNNiOBbZhIZ3X
 1l0gC4hi9YbVkVF9YgctXFVTAQGGmVIFtAAHTjIAWMKr86j42tI/W72gYXIS
 rMX2V/gYn65kKiDo/KHpI5Pj1HkGgwUX5iDAZkTWFinUvKrASfyYrupg2CbU
 LHlLuisdc/eqHvDQCffKqpykGuYICezYYFvkGVMFzo9AJ9+Xq+X2vJX9Hnue
 o/dt37hhw/hY5m5d0SHRmSwOPjPwKsZYYYH0EsAfhoDOWl2OzbSlmVP5qmSK
 B7GAoVwpt8Jq9CDbVXGu81v+YctVgwPn7gqmQsBRwTkOUOlZplWfT2hHs0gA
 DEUDA+lf6Nzc2U1t3PrwrV2H3jn4hJSQOHJC4YzuGn7c1EydOV8mqDECzkc9
 meOYVPwUdtYe4Tq4LgecmGoon1qwrkMsHSv10IE3/d1NiUNH+54VkmJzKhIr
 Lc7afh4hsOvnPLT5CwcP4ImAw+MArSVbtREfEZqv27ih9+CJvme5JL+IbuTV
 95X/nDmez7CWPEUwwZQgu91rFgKzbsL9tmFLKIv6AgsDSVt00qVScV3r6hTn
 n/b3GmnzyXxt5trwggiuvl5+9IqgtFbkOLrhr2cDHFR890T+t3aL3Q0II8dy
 wHLsy3NDuW3CPPFyraiBKEnvZnaP7mORLjDnp1gW9IvIgGcs23ST3swZ5/R3
 g8ngGEpy3YqmfKblD1Krs5OTW30JCayMuWvs4ERpcUtCi3N4Ec8hmMgVoL21
 1fzN0eFiOB46o/v1pXSfjUQORRfFmspnShBf3DSSeXrsCduyeSadSQpGRHGj
 P1cRN/Z0nekvz4zlqDFsY6Gyv7xfPMnfK5j8SCY/sZkWqD8emJz+3dQRAAjx
 HN82P50GoHVgmKCYBrWDakdrqlgWytS6NqRC7WQFmpYkstlnMj8h9cIz6eRZ
 7RW9zn/Us1HH25GYwSyLiEEQqJyuVO037b/2IennXIKv5l6a+ncijSC1HbL1
 Vmyo9Q6kGxZYNlaoc1Q6oiLu4UwO2rvn42BT4LXML8Z+opZUnjlaZO+a6ejo
 kP/j7i9+++4//PSqCxEQYO4LE5gsCgWXtGddH9IVIojX9R5e4PtI+kNsSa0Y
 mlF3ns4HiBdAMwyFOceZQxZwFnopt39yxFRMndmqsEC5y/XqAxuv+Yuzh4/s
 OAzxv3H3wRdDwPFsfMAjrQRBhO2p/cR5iY53uwWyMTiWBbqmgaNrINhWgDmG
 9IoWhpMwwerKYvZLzPkcJfLUg19JH3nuua+2N0f2Hu457G51HYpZCcw+ubHP
 bK3EvmtyM+WZ6oMmdgARqCQTUiQOCgZ322oz4u5EWHPbJbsXo9GocfLNNx/p
 bIkFRmV9PwuS7tlA4VkJzDbBsbvFPqtMXmFmz936NVnkhhynnoGkKMHJzNQo
 k5DM7hEmySqL+hTr9+oDWz573/ljRzeF2xOwd3jyPRoQ14c5MjA3icalM4tg
 wF1WsM+SY1p0E0NI0FOJKly9sG3zS2OFF5iTmI5hdhXPJkf98W1f2nH0wIEH
 L4sGwcCgDBarBUZAJ0AXmwEvCbjAXlrwHNjGCQzLMt8bn8pfJyKoz8ZgGKnW
 UIjzx2LKjquXtYumETZ0nQ9IvB30+RytJicyJXnd8b6+HX/yiTR64tXD8OnV
 i4dt2w4xkuiCXeiiSDB4MuEWmZ8g2L10iU/jnZyKDcjmJsGyMJwfn+Y2hgI/
 Mnzgz/QdaQmIZDjGUBNFkDgEDgewNJWAsF+A/YeOA7Yx5Mu1IssUanhvA4GP
 S4S94Pub192bzUzex2vVFD1W7Eonwc+3gl8QgM7InGktiAd4mFE50C0bJEmC
 sqKBwHFQsRwYGJ0Ehf7btEAM+gELonvcaDPMnYGPISs0dH44M1JSHhlTTWNY
 1sPycDGFASKCIMhEUpOiKI0hxyw2BQK2zwbRjyx/mOcCYR8f8SEuEhBQNOn3
 dZuKsunaFfPgp6fGezxZdhjw75sActf0j56eoOc3KYJOgsvdlxmGQWvDp+s6
 LUYla8ruUbrFOlmVFWpc4nn19nRsjYNQdqSi5N3oe52/VAQkAj8DzxysNkgt
 wCZA00vc82zEsO1IVRAOfP/YyDE6jsG6lBLy7htEAndNU2a/+djd9ExGMMt+
 3PyvkdwJ9+zIe/h1KQmAq1XPukllizLe/d1b9N7tpGfTFGITnLukLjUegF0q
 Au6cILPP8iz/Qe1+x7tEGCQPAR8LQM49OL50BFjqPS/RG04r8AcQQC48WQgy
 +FhAKiwYxoUk9L/GJU4pvfh71AAAAABJRU5ErkJggg==

Package: widelands-data
Architecture: armel
Depends: ${misc:Depends}
Description: fantasy real-time strategy game (data files)
 This package contains the graphics and levels for Widelands.
 .
 Widelands is a strategy game aiming for gameplay similar to Settlers II by
 BlueByte.
 .
 In this game, you start out on a small piece of land with nothing more than
 a few of useful resources. Using those, you can build yourself an empire
 with many thousands of inhabitants. On your way towards this goal, you will
 have to build up an economic infrastructure, explore the lands around you
 and face enemies who are trying to rule the world just like you do.
XB-Maemo-Display-Name: Widelands - Data files
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAB3RJTUUH1QEK
 AiAhBpMOegAAAAlwSFlzAABOIAAATiABFn2Z3gAAAARnQU1BAACxjwv8YQUA
 AA9TSURBVHja7Vl7cFzVef/Ofe37oV1ptZJtWTJ2iZ/IIYCN48RM7Cl2a4eG
 OIWaYB4Fhpk+SDu0DaFNSknS5kGezAQoTKYNDW0cXoZgEzARGJBt+YVt2Ray
 ZD1WK2lX+77vx+k5O+fO3NkxEph4+k+v5jd3vXvud7/f9/2+7zwM/3/9H1/8
 hx34nT2PrE8sbz645vNrtMXhyw739/fjS+HQw7u/vbXtyva/3Pilz73f+2Jv
 Ya7xCOa+0Pbt2zlnOeoLpUPdhckCBKTAW/NTbXf84M9/cA4Afh9E0JP7n2zr
 6d3/s1KtuFUKSmCZdjYhxK576u+fGpjtHdyHIMgvunHx9aqtdpuGCZzAgQHG
 +sHMUN/OH+68kdr4uM5/fdfXr39+z4vHLJ+1NdwcAcuywHbstopd273zGztb
 6TsuhgBiv4tnTw/cEU/HoVquQiE7A6ZmAhK42HRh5r+3P3zTzo9Bgrvvyb+9
 /c39b++OpKMtlWIZClMFQsCuv101tSUlXLmLSR1dDAHh5vtvbq/K1T+ikZfL
 NWjpSAFWnKfNkvk9DBgrlvzjm79zy23MFvoozhPw45NjX0zNTx2sjJW/q0yp
 P+VFHpumWc+CaRhgYuuuTTs3tX4QCX6OAvct37LybkfCm3RNB7lUAz/n7335
 X3c/u3Bxp4FDeHM4EZJK5fK2FRtXXrbqMytf6u/pd1wDcwWH2u/fd2rvqVdP
 vD7w9tnp4UNDpaA/MBxdEF3jOBjRoFm2FfM1BRMDPWdeAQCnsR74WaIjbLhh
 Q7Pq0x9LLUpFcpkcxFri8O5Tb/+6c1lXLLQodF96STpYypcAcYA0XV8FmJsa
 eOts34eMvkgQJEgQpAnmUUwNTvp9om8w1B7q5iUBDBI4zOMrVq5dfvjs22cH
 6cNeEkJjZPZO7g2+uOflDdVKjSvPlG5x/HZbYboAjuNArVqDpdtW/KkQ5NOp
 rlYo5AqgVBUwFB3mL5lfGeo5388cMwnwXM2BjfUR+Nldqmfl9X6r+YqWcjgZ
 iamyCpqqIQjAvwDAbwk0oJeXwG2P3vHQ2Nj4nYZuVP7poYfm+cJShH4fiobA
 5/dBLVcCTuTAF/ZBaF44bag6ZM9noZKvQDQRhY4lHcOHfn7gqyMnRs4zZ1iq
 ZyWBGSwChaDMSIjYcURsY9UwjBhGGJSKDIGQn2O23eA4LgEuNzj1GB/m1seT
 8Q22bYOpm0DIQJl0Ba7CAS/wtK3B5HAWOI6DQCQIoiTSqOPpk9O/ef6Hz/ZY
 pmUFg8GEoijq//zsW+EiOj99zz2PW40kWPTxlVdeSbNqHz16tMLG6AQqgUEA
 1UzlEPbBVo6r1wHYGNPnwmyc7TXmY/B3dXWFKmol0rSwqSvSGbuKRPvLQkjo
 IM5BcaIAC5d1mpWR8jv5odxUbaom58/lDK2q0ZfnCIZ+9eBfPVAqFqeq1era
 aDBYxAj1IoGf5nle5TmekhZJrfA8cMtEHnVLHMd/d29vZ+/x49ShAEGcoJ1g
 kRSQFn7yzk/dLEal+cVsEZKpxOmef3tjOwBkKT+WOVzvBIxZdHh4OEI/z0zO
 AByAc8tuWP5Wy8rWHbZlQTQVhWO/PLJr4ngGWBp59qzCIoIHhkf3tESCybZ4
 9JqQ398c9Pv+WDNMQAiBQNwukRryIYBQIDCYnSndr9hOlDhfZIHUCAxmN2yo
 RiJ3fPq19LVtt/EiB4JPnE9VTSC5LdslIDD2MYImgjhDwtJsZFkmOIDB0AwI
 tUXicLyuVYeRUJl28wSVrz39/DPkXvrmLTfuaw/qj8uSyBmmVXfewQ6MTOXh
 mu6VZ/7xVy9/offE2RlmQ2B3nQAxe0VqR6tpNYMEgKgTHOS4SqHj0QdNZMjT
 IQTHsOkFmPxpigotK5rXIYSoZunLJwhGCIYJxthLMUH0a7/49ZmqYb2AHQwC
 h4DamC4UYXlXB/7Wrlf+mThPHWmmY5lTHAuK4SnoEjawQgoZMP3Jxjm3ZhsJ
 GAQycyBPkGMoYUBanT126rCQHeUlPkv1TnCW4X2CcTreJUDQ/saZoUM1hZjF
 GDjAUJUV0DH0v/HeaSq3NpZtVxLufGQzKdXq9nRcpjMy4hFtKrLH+UYC9QcK
 BJPUGYZJjgelPqVTGVEhIQf8MT8leo45PsiiP01QobaYzfBbZ4aAyAeH/L76
 HBKURDgxPDrIIh/0OI09cDwBLbeua9uYbE+CXFEAUJ0ccuGdByxX04y9yiIR
 sE27bJoGLaC6W1SPvqTPqU3Xpli2ZPYcYj2aZ1E18qUywoB0jnzv2Db4BAHG
 MnkaKPBEWfa0RceTBWPpVUs5GcmfxWWAVEcLzuwffwUaL4/27AYCMoVds8oW
 eXm9DhD5QVUhtii+kOlUZneNwdXuDMumrGiqTGuA6hiokhGYzPEiQ5VAbZi5
 HYrkVamrhYDAFXNF2kBq598ZHnS7HYOniFn6GCwX+YF8wTJMw8Y2OAS6okEo
 FV7leZHtuet1Ut4uYjujiqoSAjogjIHMcZpboAQVRtpsWKRxFLnq9K3R1hhU
 cmXgBJ5lhqGBgPfCHocsuSLrzoyzR1XUeiu1HIsuqSc8rayRvEGguvIoqXrR
 J4ogcjwYug6XpRJN7DeFEfY6711gSrqp25qmQXIBqYGR6gFm25ydALu8JLL7
 MsdM2ZiiRUySARBH14eT4XBjO2vIoB6JRIxUQFoblARwbAs0QmBJc3y9IAiu
 I1aDHBCzKaxYv6LFQc4nqPRs3YbiSHHAI1XLJX1BAg3dQNdlXVP6as+RboR9
 YT8ohtKavK7lzsae3JjBtZ9cGvI5VmAqXwCbEAhIIvjAab/288u3JdoT3CzL
 bCmyKrpV9ItS5tQ4NLU2KaX+4qin3szZCGAGr6ZrpXMlzZm2f0d6cV1KsiDf
 tfzLK7fOFoDmVck1lmkC7UDYdoDKAWMM7+dH7vdtCLzQfXt314WW2Gs2rmka
 Gx2/RwyLkOpshcy+zC9N1XQbhjcDMFsGLDa4ygqyUj5UPGmTNNiOBbZhIZ3X
 1l0gC4hi9YbVkVF9YgctXFVTAQGGmVIFtAAHTjIAWMKr86j42tI/W72gYXIS
 rMX2V/gYn65kKiDo/KHpI5Pj1HkGgwUX5iDAZkTWFinUvKrASfyYrupg2CbU
 LHlLuisdc/eqHvDQCffKqpykGuYICezYYFvkGVMFzo9AJ9+Xq+X2vJX9Hnue
 o/dt37hhw/hY5m5d0SHRmSwOPjPwKsZYYYH0EsAfhoDOWl2OzbSlmVP5qmSK
 B7GAoVwpt8Jq9CDbVXGu81v+YctVgwPn7gqmQsBRwTkOUOlZplWfT2hHs0gA
 DEUDA+lf6Nzc2U1t3PrwrV2H3jn4hJSQOHJC4YzuGn7c1EydOV8mqDECzkc9
 meOYVPwUdtYe4Tq4LgecmGoon1qwrkMsHSv10IE3/d1NiUNH+54VkmJzKhIr
 Lc7afh4hsOvnPLT5CwcP4ImAw+MArSVbtREfEZqv27ih9+CJvme5JL+IbuTV
 95X/nDmez7CWPEUwwZQgu91rFgKzbsL9tmFLKIv6AgsDSVt00qVScV3r6hTn
 n/b3GmnzyXxt5trwggiuvl5+9IqgtFbkOLrhr2cDHFR890T+t3aL3Q0II8dy
 wHLsy3NDuW3CPPFyraiBKEnvZnaP7mORLjDnp1gW9IvIgGcs23ST3swZ5/R3
 g8ngGEpy3YqmfKblD1Krs5OTW30JCayMuWvs4ERpcUtCi3N4Ec8hmMgVoL21
 1fzN0eFiOB46o/v1pXSfjUQORRfFmspnShBf3DSSeXrsCduyeSadSQpGRHGj
 P1cRN/Z0nekvz4zlqDFsY6Gyv7xfPMnfK5j8SCY/sZkWqD8emJz+3dQRAAjx
 HN82P50GoHVgmKCYBrWDakdrqlgWytS6NqRC7WQFmpYkstlnMj8h9cIz6eRZ
 7RW9zn/Us1HH25GYwSyLiEEQqJyuVO037b/2IennXIKv5l6a+ncijSC1HbL1
 Vmyo9Q6kGxZYNlaoc1Q6oiLu4UwO2rvn42BT4LXML8Z+opZUnjlaZO+a6ejo
 kP/j7i9+++4//PSqCxEQYO4LE5gsCgWXtGddH9IVIojX9R5e4PtI+kNsSa0Y
 mlF3ns4HiBdAMwyFOceZQxZwFnopt39yxFRMndmqsEC5y/XqAxuv+Yuzh4/s
 OAzxv3H3wRdDwPFsfMAjrQRBhO2p/cR5iY53uwWyMTiWBbqmgaNrINhWgDmG

## widelands 17rc2-maemo7

=== src/CMakeLists.txt ===
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/build_info.cc.cmake ${CMAKE_CURRENT_BINARY_DIR}/build_info.cc)

IF (WIN32)
  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/../utils/win32/msvc/widelands.rc.cmake ${CMAKE_CURRENT_BINARY_DIR}/widelands.rc)
  if (NOT WL_VERSION_MAJOR OR WL_VERSION_MAJOR STREQUAL "")
    set (WL_VERSION_MAJOR 0)
  endif (NOT WL_VERSION_MAJOR OR WL_VERSION_MAJOR STREQUAL "")
  if (NOT WL_VERSION_MINOR OR WL_VERSION_MINOR STREQUAL "")
    set (WL_VERSION_MINOR 15)
  endif (NOT WL_VERSION_MINOR OR WL_VERSION_MINOR STREQUAL "")
  if (NOT WL_VERSION_PATCH OR WL_VERSION_PATCH STREQUAL "")
    set (WL_VERSION_PATCH 1)
  endif (NOT WL_VERSION_PATCH OR WL_VERSION_PATCH STREQUAL "")
  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/../utils/win32/msvc/Widelands-msvc.iss.cmake ${CMAKE_CURRENT_BINARY_DIR}/Widelands-msvc.iss)
  IF (MINGW)
	set(WIN32_ICON_O ${CMAKE_CURRENT_BINARY_DIR}/wl_icon.o)
	ADD_CUSTOM_COMMAND( OUTPUT ${WIN32_ICON_O}
		COMMAND ${MINGW_PREFIX}windres
			-o${WIN32_ICON_O}
			-i${CMAKE_CURRENT_BINARY_DIR}/widelands.rc
		)
	ENDIF (MINGW)
endif (WIN32)

file(GLOB_RECURSE WL_SRCS_CC *.cc)
file(GLOB_RECURSE WL_SRCS_H *.h)
file(GLOB_RECURSE WL_SRCS_CPP *.cpp)

#convention: any directory called "test" contains test sources, including subdirectories
set(WL_TEST_SRCS "")
set(WL_CODECHECK_SRCS "")
foreach (sourcefile ${WL_SRCS_CC} ${WL_SRCS_H})
  if (${sourcefile} MATCHES ".*/test/.*")
    list (APPEND WL_TEST_SRCS ${sourcefile})
    list (REMOVE_ITEM WL_SRCS_CC ${sourcefile})
    list (REMOVE_ITEM WL_SRCS_H ${sourcefile})
  endif (${sourcefile} MATCHES ".*/test/.*")
  # exclude test sources from Codecheck, as well as the scripting/pdep sources from lua
  if (NOT ${sourcefile} MATCHES ".*/scripting/pdep/.*" AND NOT ${sourcefile} MATCHES ".*/test/.*")
    list (APPEND WL_CODECHECK_SRCS ${sourcefile})
  endif (NOT ${sourcefile} MATCHES ".*/scripting/pdep/.*" AND NOT ${sourcefile} MATCHES ".*/test/.*")
endforeach (sourcefile ${WL_SRCS_CC} ${WL_SRCS_H})
foreach (sourcefile ${WL_SRCS_CPP})
  list (APPEND WL_CODECHECK_SRCS ${sourcefile})
endforeach (sourcefile ${WL_SRCS_CPP})
#convention: main.cc should be removed from all lists
list (REMOVE_ITEM WL_SRCS_CC "${CMAKE_CURRENT_SOURCE_DIR}/main.cc")

IF (DEFINED MSVC)
  add_executable (widelands ${GUI_TYPE} main.cc build_info.cc widelands.rc)
else (DEFINED MSVC)
  if (DEFINED MINGW)
    add_executable (widelands ${GUI_TYPE} main.cc build_info.cc ${WIN32_ICON_O})
  else (DEFINED MINGW)
    add_executable (widelands ${GUI_TYPE} main.cc build_info.cc)
  endif (DEFINED MINGW)
endif (DEFINED MSVC)

add_library (widelands_all STATIC ${WL_SRCS_CC} ${WL_SRCS_H})

set (WL_SOURCES_ROOT ${CMAKE_CURRENT_SOURCE_DIR})
set (WL_SOURCES_BINARY_ROOT ${CMAKE_CURRENT_BINARY_DIR})

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/CppCheckSuppressions.cmake ${CMAKE_CURRENT_BINARY_DIR}/CppCheckSuppressions)

if (CMAKE_BUILD_TYPE STREQUAL Debug)
  find_package (PythonInterp REQUIRED)
  set (commands "")
  foreach(sourcefile ${WL_CODECHECK_SRCS})
    string(REPLACE "${CMAKE_SOURCE_DIR}/src/" "" sourcewithoutpath ${sourcefile})
    string(REGEX REPLACE "\\.|\\/" "_" sourcenoslash ${sourcewithoutpath})
    if (WIN32)
      string(REGEX REPLACE "^.*:" "" sourcenoslash ${sourcenoslash})
    endif (WIN32)
    get_filename_component(sourcename ${sourcefile} NAME)
    set(stamp ${sourcename}_)
    add_custom_command(
      OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/codecheck_${sourcenoslash}"
      COMMAND ${CMAKE_COMMAND} -DPYTHON_EXECUTABLE=${PYTHON_EXECUTABLE} -DWL_SOURCE_CHECKER=${CMAKE_SOURCE_DIR}/cmake/codecheck/CodeCheck.py -Dsourcefile=${sourcefile} -DCMAKE_CURRENT_BINARY_DIR=${CMAKE_CURRENT_BINARY_DIR} -Dstamp=codecheck_${sourcenoslash} -P ${CMAKE_SOURCE_DIR}/src/CodeCheck.cmake
      DEPENDS ${sourcefile}
      COMMENT "Checking ${sourcewithoutpath} with CodeCheck"
    )
    list(APPEND commands ${CMAKE_CURRENT_BINARY_DIR}/codecheck_${sourcenoslash})
    if (WL_EXTRAWARNINGS)
      add_custom_command(
	OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/cppcheck_${sourcenoslash}"
	COMMAND ${CMAKE_COMMAND} -DWL_SOURCES_BINARY_ROOT=${WL_SOURCES_BINARY_ROOT} -Dincludedir=${CMAKE_SOURCE_DIR}/src -Dsourcefile=${sourcefile} -DCMAKE_CURRENT_SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -DCMAKE_CURRENT_BINARY_DIR=${CMAKE_CURRENT_BINARY_DIR} -Dstamp=cppcheck_${sourcenoslash} -P ${CMAKE_SOURCE_DIR}/src/CppCheck.cmake
	DEPENDS ${sourcefile}
	COMMENT "Checking ${sourcewithoutpath} with CppCheck"
      )
      list(APPEND commands ${CMAKE_CURRENT_BINARY_DIR}/cppcheck_${sourcenoslash})
#        set_source_files_properties(${sourcefile} PROPERTIES OBJECT_DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/codecheck_${stamp};${CMAKE_CURRENT_BINARY_DIR}/cppcheck_${stamp}")
    else (WL_EXTRAWARNINGS)
#        set_source_files_properties(${sourcefile} PROPERTIES OBJECT_DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/codecheck_${stamp}")
    endif (WL_EXTRAWARNINGS)
  endforeach(sourcefile ${WL_CODECHECK_SRCS})
  add_custom_target(codecheck DEPENDS ${commands})
  add_dependencies(widelands codecheck)
endif (CMAKE_BUILD_TYPE STREQUAL Debug)

#the subdirectories are only used for test definition
#temporarily disabled the 'old' tests due to incompatibility
if (WL_UNIT_TESTS)
  # Tests need to link with SDL library without main
  set(TEST_EXTRA_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/build_info.cc)
  set(TEST_EXTRA_LIBS ${SDL_LIBRARY} )
  list(REMOVE_ITEM TEST_EXTRA_LIBS  ${SDLMAIN_LIBRARY}) 

  add_subdirectory(economy)
  add_subdirectory(io)
  add_subdirectory(scripting)
endif (WL_UNIT_TESTS)

target_link_libraries(widelands_all ${SDLIMAGE_LIBRARY})
target_link_libraries(widelands_all ${SDLMIXER_LIBRARY})
target_link_libraries(widelands_all ${SDLNET_LIBRARY})
target_link_libraries(widelands_all ${SDLTTF_LIBRARY})
target_link_libraries(widelands_all ${SDLGFX_LIBRARY})
target_link_libraries(widelands_all ${LUA_LIBRARY})
target_link_libraries(widelands_all ${PNG_LIBRARY})
target_link_libraries(widelands_all ${ZLIB_LIBRARY})
target_link_libraries(widelands_all ${OPENGL_gl_LIBRARY})
target_link_libraries(widelands_all ${GLEW_LIBRARY})
target_link_libraries(widelands_all ${Boost_LIBRARIES})
if (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
  target_link_libraries(widelands_all ${EXECINFO_LIBRARY})
endif (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")

if (DEFINED WL_EXTRA_LINK_LIBRARIES)
  target_link_libraries(widelands_all ${WL_EXTRA_LINK_LIBRARIES})
endif (DEFINED WL_EXTRA_LINK_LIBRARIES)

target_link_libraries(widelands widelands_all)
target_link_libraries(widelands ${SDL_LIBRARY})

if (APPLE OR WIN32)
  target_link_libraries(widelands_all ${INTL_LIBRARY})
endif (APPLE OR WIN32)

if (WIN32)
  if (DEFINED MSVC)
    target_link_libraries(widelands_all ws2_32)

    #gettext on MSVC using 3rdparty bundle needs iconv library
    find_library(ICONV_LIBRARY iconv libiconv REQUIRED)
    target_link_libraries(widelands_all ${ICONV_LIBRARY})

  else (DEFINED MSVC)
    target_link_libraries(widelands_all wsock32)
  endif (DEFINED MSVC)
endif (WIN32)

install(TARGETS widelands DESTINATION ${WL_INSTALL_BINDIR} COMPONENT ExecutableFiles)

=== src/scripting/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wl-scripting.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wl-scripting.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
widelands (17rc2-maemo7) fremantle; urgency=low

  * fxied control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 10:34:44 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 Package: widelands
 Architecture: armel
+Section: user/games
 Depends: widelands-data (= ${source:Version}), ${shlibs:Depends}, libvorbisidec1
 Description: Settlers II alike fantasy real-time strategy game
  Widelands is a strategy game aiming for gameplay similar to Settlers II by
@@ -117,7 +118,9 @@
 
 Package: widelands-data
 Architecture: armel
+Section: games
 Depends: ${misc:Depends}
+Suggests: widelands
 Description: fantasy real-time strategy game (data files)
  This package contains the graphics and levels for Widelands.
  .
@@ -130,6 +133,7 @@
  have to build up an economic infrastructure, explore the lands around you
  and face enemies who are trying to rule the world just like you do.
 XB-Maemo-Display-Name: Widelands - Data files
+XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAB3RJTUUH1QEK
  AiAhBpMOegAAAAlwSFlzAABOIAAATiABFn2Z3gAAAARnQU1BAACxjwv8YQUA
@@ -202,4 +206,3 @@
  Vmyo9Q6kGxZYNlaoc1Q6oiLu4UwO2rvn42BT4LXML8Z+opZUnjlaZO+a6ejo
  kP/j7i9+++4//PSqCxEQYO4LE5gsCgWXtGddH9IVIojX9R5e4PtI+kNsSa0Y
  mlF3ns4HiBdAMwyFOceZQxZwFnopt39yxFRMndmqsEC5y/XqAxuv+Yuzh4/s
- OAzxv3H3wRdDwPFsfMAjrQRBhO2p/cR5iY53uwWyMTiWBbqmgaNrINhWgDmG

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

# This has to be exported to make some magic below work.
export DH_OPTIONS


PYTHON_EXECUTABLE = $(shell which python2.5)

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	
	mkdir -p build
	cd build; cmake \
		-DWL_INSTALL_PREFIX=/opt/widelands \
		-DWL_INSTALL_DATADIR=share/games/widelands \
		-DWL_INSTALL_BINDIR=games \
		-DWL_INSTALL_LOCALEDIR=/opt/widelands/share/games/widelands/locale \
		-DCMAKE_INSTALL_PREFIX=/opt/widelands \
		-DCMAKE_BUILD_TYPE=Release \
		-DPYTHON_EXECUTABLE=$(PYTHON_EXECUTABLE)  \
		-DCMAKE_TOOLCHAIN_FILE=$(CURDIR)/debian/maemo.cmake \
		../; cat src/config.h

	
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	cd build; make all	
		
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	# Add here commands to clean up after the build process.
	rm -rf build
	find . -name '*.py[co]' -exec rm {} \;
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# Add here commands to install the package into debian/widelands.
	#sed -i 's#INSTALL DESTINATION ".*widelands/locale" TYPE#INSTALL DESTINATION "$${CMAKE_INSTALL_PREFIX}/share/games/widelands/locale" TYPE#' build/compile/cmake_install.cmake
	cd build ; make install DESTDIR=`pwd`/../debian/tmp

	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/hildon
	cp  $(CURDIR)/pics/wl-ico-48.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/48x48/hildon/widelands.png
	mkdir -p  debian/tmp/usr/share/applications/hildon
	cp debian/widelands.desktop debian/tmp/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## widelands 17rc2-maemo8

=== src/economy/test/CMakeLists.txt ===
file(GLOB WL_TEST_ECONOMY_SRCS *.cc)

add_executable(test_economy ${WL_TEST_ECONOMY_SRCS} ${TEST_EXTRA_SOURCES})

target_link_libraries(test_economy widelands_all)
target_link_libraries(test_economy ${Boost_LIBRARIES})
target_link_libraries(test_economy ${TEST_EXTRA_LIBS})

add_test(test_economy test_economy)

=== debian/changelog ===
widelands (17rc2-maemo8) fremantle; urgency=low

  * fixed control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 16:50:34 -0400

## widelands 17release-maemo1

=== utils/spurious_source_code/Makefile ===
#  A newly built whitespace_checker may find new errors, so remove the cache.
whitespace_checker: whitespace_checker.adb
	gnatmake -gnatafn -gnatwa -gnaty whitespace_checker
	rm -fr ../../build/stylecheck

clean:
	@rm -f whitespace_checker *.ali *.o

=== src/scripting/test/CMakeLists.txt ===
file(GLOB WL_SCRIPTING_TEST_SRCS *.cc)

add_executable(test_widelands_scripting ${WL_SCRIPTING_TEST_SRCS} ${TEST_EXTRA_SOURCES})

target_link_libraries(test_widelands_scripting widelands_all)
target_link_libraries(test_widelands_scripting ${Boost_LIBRARIES})
target_link_libraries(test_widelands_scripting ${TEST_EXTRA_LIBS})

add_test(test_widelands_scripting test_widelands_scripting)

=== debian/changelog ===
widelands (17release-maemo1) fremantle; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu,  3 May 2012 05:06:09 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 Package: widelands
 Architecture: armel
 Section: user/games
-Depends: widelands-data (= ${source:Version}), ${shlibs:Depends}, libvorbisidec1
+Depends: widelands-data (= ${source:Version}), ${shlibs:Depends}, libvorbisidec1, 
+ libglew1.5 (>= 1.5.8-3-maemo4)
 Description: Settlers II alike fantasy real-time strategy game
  Widelands is a strategy game aiming for gameplay similar to Settlers II by
  BlueByte.
@@ -205,4 +206,3 @@
  7RW9zn/Us1HH25GYwSyLiEEQqJyuVO037b/2IennXIKv5l6a+ncijSC1HbL1
  Vmyo9Q6kGxZYNlaoc1Q6oiLu4UwO2rvn42BT4LXML8Z+opZUnjlaZO+a6ejo
  kP/j7i9+++4//PSqCxEQYO4LE5gsCgWXtGddH9IVIojX9R5e4PtI+kNsSa0Y
- mlF3ns4HiBdAMwyFOceZQxZwFnopt39yxFRMndmqsEC5y/XqAxuv+Yuzh4/s
